### Hierarchy

- Specification

## Index

### Constructors

- constructor

### Properties

- raw

### Methods

- initNode

## Constructors

### constructor

- new Specification(spec: ISpecification): Specification

- - Defined in lib/support/Specification.ts:6

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Specification

## Properties

### raw

raw: ISpecification

- Defined in lib/support/Specification.ts:6

## Methods

### initNode

- initNode(node: INode, className?: undefined | string): INode

- - Defined in lib/support/Specification.ts:18

  Initializes the default specification attributes to the node

  #### Parameters

  - ##### node: INode

    the node which will be initialized

  - ##### Optional className: undefined | string

    the className which is set to the node

  #### Returns INode

Generated using TypeDoc